# geos::index::strtree::AbstractNode Class Reference

A node of the STR tree. More...

`#include <AbstractNode.h>`

Inheritance diagram for geos::index::strtree::AbstractNode:

List of all members.

## Public Member Functions

| AbstractNode (int newLevel, int capacity=10)
std::vector< Boundable * > * | getChildBoundables ()
const std::vector< Boundable * > * | getChildBoundables () const
const void * | getBounds () const
int | getLevel ()
void | addChildBoundable (Boundable *childBoundable)

## Protected Member Functions

virtual void * | computeBounds () const =0

## Protected Attributes

void * | bounds

## Detailed Description

A node of the STR tree.

The children of this node are either more nodes (AbstractNodes) or real data (ItemBoundables).

If this node contains real data (rather than nodes), then we say that this node is a "leaf node".

## Member Function Documentation

const void* geos::index::strtree::AbstractNode::getBounds | ( | ) | const`[virtual]`

Returns a representation of space that encloses this Boundable, preferably not much bigger than this Boundable's boundary yet fast to test for intersection with the bounds of other Boundables. The class of object returned depends on the subclass of AbstractSTRtree.

Returns:
  an Envelope (for STRtrees), an Interval (for SIRtrees), or other object (for other subclasses of AbstractSTRtree)

See also:
  AbstractSTRtree::IntersectsOp

Implements geos::index::strtree::Boundable.

The documentation for this class was generated from the following file:

- AbstractNode.h